#
#       Makefile for timelib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= timelib
LIBFSRCS	= time12.f time13.f time21.f time23.f time31.f time32.f \
		  timec1.f timec2.f timec3.f timeq1.f timeq2.f
LIBCSRCS	= timeq3.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= time12.o time13.o time21.o time23.o time31.o time32.o \
		  timec1.o timec2.o timec3.o timeq1.o timeq2.o
LIBCOBJS	= timeq3.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
